/* index.css */

.pantallaPpal {
    position: relative;
    height: 100vh;
    background-image: url("../imagenes/fondo-ppal.webp");
    background-size: cover;
    background-position: center center;
}

.pantallaPpal::after {
    content: "";
    position: absolute;
    inset: 0;
    background: var(--degradado);
    z-index: 1;
}

.rectangulo {
    position: relative;
    z-index: 2;
    display: flex;
    justify-content: center;
    padding-top: 45vh;
    transition: padding-top 1.5s cubic-bezier(0.25, 1, 0.5, 1);
}

.boton-menu {
    padding: 1rem 2.5rem;
    color: var(--color-ppal);
    border-radius: 12px;
    border: 0.25px solid var(--color-resalte);

    box-shadow:
        0 0px 14px var(--color-negro),
        0 0 0 1px var(--color-ppal);
    transition: transform 0.2s ease;
}

.boton-menu:hover {
    transform: scale(1.05);
}

.slogan {
    position: absolute;
    text-align: center;
    bottom: 20vh;
    width: 100%;
    z-index: 2;
    transition:
        opacity 2s cubic-bezier(0.22, 1, 0.36, 1),
        transform 2s cubic-bezier(0.22, 1, 0.36, 1);
}

.slogan br {
    display: none;
}

.boton-abajo {
    position: absolute;
    border: none;
    bottom: 3vh;
    left: 50%;
    transform: translateX(-50%);
    color: var(--color-ppal);
    width: 45px;
    height: 45px;
    animation: bote 2s infinite;
    z-index: 5;
    opacity: 0.8;
    cursor: pointer;
}

@keyframes bote {
    0%,
    20%,
    50%,
    80%,
    100% {
        transform: translateX(-50%) translateY(0);
    }
    40% {
        transform: translateX(-50%) translateY(-10px);
    }
    60% {
        transform: translateX(-50%) translateY(-5px);
    }
}

.pantalla-abajo {
    margin: 3rem auto;
    padding: 3.5rem 3rem;
    max-width: 1100px;
    background-color: transparent;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 3rem;
    opacity: 1;
    transform: translateY(0);
    transition:
        opacity 0.6s ease,
        transform 0.6s ease;
}

.infoBloque {
    text-align: center;
}

.icono,
.icono-contacto {
    vertical-align: middle;
    color: var(--color-sec);
}

.icono {
    width: 1.3rem;
    height: 1.3rem;
    margin-right: 0.5rem;
}

.icono-contacto {
    width: 1rem;
    height: 1rem;
    margin-right: 0.25rem;
}

.info-titulo {
    color: var(--color-terciario);
    margin-bottom: 0.6rem;
    white-space: nowrap; /* Evita que el texto caiga a la siguiente línea */
}

.infoTexto {
    color: var(--color-sec);
    white-space: nowrap; /* Evita que el texto caiga a la siguiente línea */
}

.infoTexto a {
    font-size: inherit;
    text-transform: inherit;
}

@media (max-width: 768px) {
    .slogan br {
        display: inline;
    }

    .pantalla-abajo {
        margin-top: 0.5rem;
        grid-template-columns: 1fr;
        padding: 3rem 2rem;
        text-align: center;
        opacity: 0;
        transform: translateY(20px);
        transition:
            opacity 0.6s ease,
            transform 0.6s ease;
    }

    .pantalla-abajo.visible {
        opacity: 1;
        transform: translateY(0);
    }

    .infoBloque {
        text-align: center;
        margin-bottom: 2rem;
    }

    .slogan {
        bottom: 22vh;
    }

    .boton-menu {
        padding: 0.8rem 1.6rem;
    }

    .boton-abajo {
        bottom: 7vh; /* Ajusta este valor según tu preferencia */
    }
}
